﻿
@model CreditViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Credit
            </h1>
            <h4 style="display: inline-block;padding-left: 20px;">{{Model.ClubName}}</h4>
        </div>
        
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    @*ng-model="Model.UpdateFrom"*@
    <label class="req-star" style="cursor:default">Date</label>
    <div class="half-size place-left">
        <input kendo-date-picker type="text" ng-model="Model.Date" />
    </div>
    <div class="clearfix"></div>
    <label class="req-star" style="cursor:default">Description</label>
    <div class="input-control text" data-role="input-control" @Html.AngValidationClass("Description")>
        <input ng-model="Model.Description" type="text" @Html.AngTooltipValidation("Description") />
    </div>
    <label class="req-star" style="cursor:default">Amount </label>
    <div class="input-control text" data-role="input-control" @Html.AngValidationClass("CreditAmount")>
        <input  ng-model="Model.CreditAmount" type="text" @Html.AngTooltipValidation("CreditAmount") />
    </div>
    <label class="req-star" style="cursor:default">Payment method</label>
    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedPaymentMethod)>
        <div @Html.AngTooltipValidationFor(model => model.SelectedPaymentMethod)>
            <select ng-options="obj.Value as obj.Text for obj in Model.PaymentMethods" 
                    ng-model="@Html.Ang(m => m.SelectedPaymentMethod)"></select>
        </div>
    </div>
    <div class="clearfix"></div>
    <hr />
    <button type="button" class="success large place-right button" data-ng-click="confirmCancellation()">Continue</button>
    <button type="button" class="link large place-left button" data-ng-click="back()">Back</button>

    <div class="clearfix"></div>

</div>

